Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.resources.converter
Class FontFamilyVisitor

    java.lang.Object
      com.google.gwt.resources.css.ast.CssVisitor
          com.google.gwt.resources.converter.FontFamilyVisitor

    public class FontFamilyVisitor

extends com.google.gwt.resources.css.ast.CssVisitor

Escapes white spaces in font-family declarations, thus allowing usage of fonts that might be mistaken for constants.

Field Summary

Fields inherited from class com.google.gwt.resources.css.ast.CssVisitor
`UNMODIFIABLE_CONTEXT`

Constructor Summary
`FontFamilyVisitor()`

Method Summary
`boolean` | `visit(com.google.gwt.resources.css.ast.CssProperty x, com.google.gwt.resources.css.ast.Context ctx)`

Methods inherited from class com.google.gwt.resources.css.ast.CssVisitor
`accept, accept, acceptWithInsertRemove, doAccept, doAccept, doAcceptWithInsertRemove, doTraverse, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FontFamilyVisitor

    public FontFamilyVisitor()

Method Detail

### visit

    public boolean visit(com.google.gwt.resources.css.ast.CssProperty x,
                         com.google.gwt.resources.css.ast.Context ctx)

  Overrides:
    `visit` in class `com.google.gwt.resources.css.ast.CssVisitor`

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD